4 Replies Latest reply on Sep 23, 2019 10:12 AM by Matthew Ro

    Unable to Install JBoss Tools 4.6.0.Final on Eclipse Photon (4.8.0)

    Matthew Ro Newbie

      Hello,

       

      I'm receiving an error when trying to install JBoss Tools 4.6.0.Final on my Eclipse Java EE IDE for Web Developers Version Photon Release (4.8.0).  This is a fresh install of Eclipse while using an existing workspace.  I've tried with and without a proxy, both resulting in the following error:

       

      Unable to read repository at http://download.jboss.org/jbosstools/photon/stable/updates/content.xml.

      sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target

       

      I'm not sure if this is the source of the issue.. but one thing I noticed is when I tried navigating to the repository (http://download.jboss.org/jbosstools/photon/stable/updates/), I don't see a file with the name content.xml.. I do, however, see a file named compositeContent.xml. Is it supposed to point to content.xml or compositeContent.xml? I couldn't find a way to update where it points to in the Eclipse Preferences.

       

      I've tried the latest version of Eclipse Java EE (2019/06) and Eclipse version Oxygen, trying to install the appropriate JBoss Tools plugin in the marketplace.. but still results in the same error. I've tried downloading the zip of the JBoss Tools and using "Install New Software", but this also did not work.

       

      This is my first time posting on the forum.. so please let me know if I need to include more information.

       

      Please help, I'm running out of ideas.